# BaseObject Class

Defined in: `js/BaseObject.js:15`
Module: core
Parent Module: StructureJS

The BaseObject class is an abstract class that provides common properties and functionality for all StructureJS classes.

## Index

Show: Inherited Protected Private Deprecated

### Properties

- sjsId

### Methods

- BaseObject constructor
- destroy
- getQualifiedClassName

## Properties

### `sjsId` Int public

Defined in `js/BaseObject.js:27`

The sjsId (StructureJS ID) is a unique identifier automatically assigned to most StructureJS objects upon instantiation.

Default: null

There are no properties that match your current filter settings. You can change your filter settings in the index section on this page. index

## Constructor

### `BaseObject` ()

Defined in `js/BaseObject.js:15`

## Methods

### `destroy` () Void public

Defined in `js/BaseObject.js:55`

The purpose of the destroy method is to make an object ready for garbage collection. This should be thought of as a one way function. Once destroy is called no further methods should be called on the object or properties accessed. It is the responsibility of those who implement this function to stop all running Timers, all running Sounds, and take any other steps necessary to make an object eligible for garbage collection.

By default the destroy method will null out all properties of the class automatically. You should call destroy on other objects before calling the super.

#### Returns:

Void:

#### Example:

    destroy() {
         this.disable();

         this._childInstance.destroy();

         super.destroy();
    }

### `getQualifiedClassName` () String public

Defined in `js/BaseObject.js:40`

Returns the fully qualified class name of an object.

#### Returns:

String:

Returns the class name.

#### Example:

    let someClass = new SomeClass();
    someClass.getQualifiedClassName();

    // SomeClass

There are no methods that match your current filter settings. You can change your filter settings in the index section on this page. index